BAM2EGG(1)

NAME
bam2egg - convert a native Panda .bam file to an .egg file

SYNOPSIS
bam2egg [opts] input.bam output.egg
bam2egg [opts] -o output.egg input.bam
bam2egg [opts] input.bam >output.egg

DESCRIPTION
This program converts native Panda bam files to egg. The conversion is somewhat incomplete; running egg2bam followed by bam2egg should not be expected to yield the same egg file you started with.

OPTIONS

-noabs
    Don't allow the input bam file to have absolute pathnames. If it does, abort with an error. This option is designed to help detect errors when populating or building a standalone model tree, which should be self-contained and include only relative pathnames.

-noexist
    Don't treat it as an error if the input file references pathnames (e.g. textures) that don't exist. Normally, this will be flagged as an error and the command aborted; with this option, an egg file will be generated anyway, referencing pathnames that do not exist.

-ignore
    Ignore non-fatal errors and generate an egg file anyway.

-o filename
    Specify the filename to which the resulting egg file will be written. If this option is omitted, the last parameter name is taken to be the name of the output file, or standard output is used if there are no other parameters.

-cs coordinate-system
    Specify the coordinate system of the input bam file. By default, this is taken from the Config.prc file, which is currently zup_right.

-h  Display this help page.